# FtpModDate

Determine last modification time of a remote file.

## SYNOPSIS

    #include <ftplib.h>
    int FtpModDate(char *path, char *buf, int max, netbuf *nControl);

## PARAMETERS

path
  Name of remote file to be checked.
buf
  A pointer to a buffer where the result should be returned.
max
  Specifies the size of the user's buffer.
nControl
  A handle returned by FtpConnect().

## DESCRIPTION

FtpModDate() attempts to determine the last access time of a remote file and return it to the user's buffer. The date and time are returned as a string in the format 'YYYYMMDDHHMMSS'.

## RETURN VALUE

If a good response is received and the date and time are successfully parsed out of the result, 1 is returned. Otherwise, 0 is returned.

Some servers may not support the MDTM command.